Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | Properties | List of all members
Interval Class Reference
Inheritance diagram for Interval:

## Public Member Functions
| __init__ (self, name, duration, openEnded=1)
| __repr__ (self, indent=0)
| clearToInitial (self)
| finish (self)
| getDoneEvent (self)
| getDuration (self)
| getLoop (self)
| getName (self)
| getOpenEnded (self)
| getPlayRate (self)
| getState (self)
| getT (self)
| intervalDone (self)
| isPaused (self)
| isPlaying (self)
| isStopped (self)
| loop (self, startT=0.0, endT=-1.0, playRate=1.0)
| pause (self)
| popupControls (self, tl=None)
| privDoEvent (self, t, event)
| privFinalize (self)
| privInitialize (self, t)
| privInstant (self)
| privInterrupt (self)
| privPostEvent (self)
| privReverseFinalize (self)
| privReverseInitialize (self, t)
| privReverseInstant (self)
| privStep (self, t)
| resume (self, startT=None)
| resumeUntil (self, endT)
| setDoneEvent (self, event)
| setLoop (self, loop=1)
| setPlayRate (self, playRate)
| setT (self, t)
| setupPlay (self, startT, endT, playRate, doLoop)
| setupResume (self)
| start (self, startT=0.0, endT=-1.0, playRate=1.0)
| stepPlay (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
float | currT = 0.0
| doneEvent = None
| duration = max(duration, 0.0)
| es
| name = name
| openEnded = openEnded
| pname = name.split('-', 1)[0]
| pstats = None
list | setTHooks = []
| state = CInterval.SInitial

## Static Public Attributes
| notify = directNotify.newCategory("Interval")
int | playbackCounter = 0
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Properties
| done_event = property(getDoneEvent, setDoneEvent)
| open_ended = property(getOpenEnded)
| play_rate = property(getPlayRate, setPlayRate)
| stopped = property(isStopped)
| t = property(getT, setT)

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Detailed Description

    Interval class: Base class for timeline functionality

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | name,
|  |  | duration,
|  |  | openEnded = 1 )

## Member Function Documentation

## ◆ __repr__()

__repr__ | ( |  | self,
|  |  | indent = 0 )

## ◆ clearToInitial()

clearToInitial | ( |  | self | ) |

## ◆ finish()

finish | ( |  | self | ) |

Reimplemented in SoundInterval.

## ◆ getDoneEvent()

getDoneEvent | ( |  | self | ) |

## ◆ getDuration()

getDuration | ( |  | self | ) |

## ◆ getLoop()

getLoop | ( |  | self | ) |

## ◆ getName()

getName | ( |  | self | ) |

## ◆ getOpenEnded()

getOpenEnded | ( |  | self | ) |

## ◆ getPlayRate()

getPlayRate | ( |  | self | ) |

     Returns the play rate as set by the last call to start(),
    loop(), or setPlayRate().

## ◆ getState()

getState | ( |  | self | ) |

## ◆ getT()

getT | ( |  | self | ) |

## ◆ intervalDone()

intervalDone | ( |  | self | ) |

## ◆ isPaused()

isPaused | ( |  | self | ) |

## ◆ isPlaying()

isPlaying | ( |  | self | ) |

## ◆ isStopped()

isStopped | ( |  | self | ) |

## ◆ loop()

loop | ( |  | self,
|  |  | startT = 0.0,
|  |  | endT = -1.0,
|  |  | playRate = 1.0 )

Reimplemented in SoundInterval.

## ◆ pause()

pause | ( |  | self | ) |

## ◆ popupControls()

popupControls | ( |  | self,
|  |  | tl = None )

    Popup control panel for interval.

## ◆ privDoEvent()

privDoEvent | ( |  | self,
|  |  | t,
|  |  | event )

## ◆ privFinalize()

privFinalize | ( |  | self | ) |

Reimplemented in ActorInterval, AnimControlInterval, IndirectInterval, ParticleInterval, SoundInterval, and TestInterval.

## ◆ privInitialize()

privInitialize | ( |  | self,
|  |  | t )

Reimplemented in IndirectInterval, ParticleInterval, ProjectileInterval, SoundInterval, and TestInterval.

## ◆ privInstant()

privInstant | ( |  | self | ) |

Reimplemented in FunctionInterval, IndirectInterval, ParticleInterval, ProjectileInterval, SoundInterval, and TestInterval.

## ◆ privInterrupt()

privInterrupt | ( |  | self | ) |

Reimplemented in IndirectInterval, SoundInterval, and TestInterval.

## ◆ privPostEvent()

privPostEvent | ( |  | self | ) |

## ◆ privReverseFinalize()

privReverseFinalize | ( |  | self | ) |

Reimplemented in IndirectInterval, and SoundInterval.

## ◆ privReverseInitialize()

privReverseInitialize | ( |  | self,
|  |  | t )

Reimplemented in IndirectInterval, and SoundInterval.

## ◆ privReverseInstant()

privReverseInstant | ( |  | self | ) |

Reimplemented in IndirectInterval, and SoundInterval.

## ◆ privStep()

privStep | ( |  | self,
|  |  | t )

Reimplemented in ActorInterval, AnimControlInterval, IndirectInterval, LerpFunctionInterval, LerpFunctionNoStateInterval, ParticleInterval, ProjectileInterval, SoundInterval, and TestInterval.

## ◆ resume()

resume | ( |  | self,
|  |  | startT = None )

## ◆ resumeUntil()

resumeUntil | ( |  | self,
|  |  | endT )

## ◆ setDoneEvent()

setDoneEvent | ( |  | self,
|  |  | event )

## ◆ setLoop()

setLoop | ( |  | self,
|  |  | loop = 1 )

## ◆ setPlayRate()

setPlayRate | ( |  | self,
|  |  | playRate )

     Changes the play rate of the interval.  If the interval is
    already started, this changes its speed on-the-fly.  Note that
    since playRate is a parameter to start() and loop(), the next
    call to start() or loop() will reset this parameter.

## ◆ setT()

setT | ( |  | self,
|  |  | t )

## ◆ setupPlay()

setupPlay | ( |  | self,
|  |  | startT,
|  |  | endT,
|  |  | playRate,
|  |  | doLoop )

## ◆ setupResume()

setupResume | ( |  | self | ) |

## ◆ start()

start | ( |  | self,
|  |  | startT = 0.0,
|  |  | endT = -1.0,
|  |  | playRate = 1.0 )

     Starts the interval.  Returns an awaitable.

Reimplemented in TestInterval.

## ◆ stepPlay()

stepPlay | ( |  | self | ) |

## Member Data Documentation

## ◆ currT

float currT = 0.0

## ◆ doneEvent

doneEvent = None

## ◆ duration

duration = max(duration, 0.0)

## ◆ es

es

Initial value:
= EntryScale.EntryScale(
outerFrame, text = self.getName(),
min = 0, max = math.floor(self.getDuration() * 100) / 100,
command = entryScaleCommand)

## ◆ name

name = name

## ◆ notify

notify = directNotify.newCategory("Interval")
| static

## ◆ openEnded

openEnded = openEnded

## ◆ playbackCounter

int playbackCounter = 0
| static

## ◆ pname

pname = name.split('-', 1)[0]

## ◆ pstats

pstats = None

## ◆ setTHooks

list setTHooks = []

## ◆ state

state = CInterval.SInitial

## Property Documentation

## ◆ done_event

done_event = property(getDoneEvent, setDoneEvent)
| static

## ◆ open_ended

open_ended = property(getOpenEnded)
| static

## ◆ play_rate

play_rate = property(getPlayRate, setPlayRate)
| static

## ◆ stopped

stopped = property(isStopped)
| static

## ◆ t

t = property(getT, setT)
| static